/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech) (6.2.1).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
package cl.globallogic.api.domain.controller;


import cl.globallogic.api.domain.dto.UserDTO;
import cl.globallogic.api.domain.exception.ErrorDTO;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.media.Content;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import javax.annotation.Generated;
import javax.validation.constraints.NotNull;


@Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-02-12T06:52:00.592348300-03:00[America/Santiago]")
@Validated
@Tag(name = "login", description = "the login API")

public interface LoginApi {

    /**
     * GET /login : Login Method
     *
     * @param authorization  (required)
     * @return OK (status code 200)
     */
    @Operation(
            operationId = "login",
            summary = "Login Method",
            responses = {
                    @ApiResponse(responseCode = "200", description = "OK", content = {
                            @Content(mediaType = "application/json", schema = @Schema(implementation = UserDTO.class))
                    }),
                    @ApiResponse(responseCode = "204", description = "no Content", content = {
                            @Content(mediaType = "application/json", schema = @Schema(implementation = ErrorDTO.class))
                    })
            }
    )
    @RequestMapping(
            method = RequestMethod.GET,
            value = "/login",
            produces = { "application/json" }
    )
    ResponseEntity<UserDTO> login(
            @NotNull @Parameter(name = "Authorization", description = "", required = true) @RequestHeader(value = "Authorization", required = true) String authorization
    );

}
